﻿@using LawMingo.Areas.Admin.Helpers
@model Coupon.DiscountType

@{
    List<SelectListItem> list = new List<SelectListItem>();
    foreach (var value in EnumHelper<Coupon.DiscountType>.GetValues(Coupon.DiscountType.Percent))
    {
        var AttributeName = EnumHelper<Coupon.DiscountType>.GetDisplayValue(value);
        list.Add(new SelectListItem()
        {
            Text = AttributeName.ToString(),
            Value = ((int)value).ToString()
        });
    }
}

@(
            Html.Kendo().DropDownListFor(m => m)
                .DataTextField("Text")
                .DataValueField("Value")             
                .BindTo(list)
)
